> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/changelogs/version-6/v6-9-0.md).

# Version 6.9.0 Changelog (November 7, 2018 / November 20, 2018)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 6.9.0

Release Date for Xamarin.iOS: November 7, 2018

Release Date for Xamarin.Android: November 20, 2018

## Notes

This release of Apryse for Xamarin brings the core PDF functionality and iOS and Android Tools functionality inline with version 6.9.0 of the iOS and Android SDKs. More information can be found on [What's New for iOS](/ios/changelogs/version-6/v6-9-0-68227.md) and [What's New for Android](/android/changelogs/version-6/v6-9-0.md).

## Xamarin.Android

### New features

* [`SearchResultsView`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Controls.SearchResultsView.html) now works properly when clicking **List all** of the [`SearchToolbar`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Controls.SearchToolbar.html). See **PDFNetAndroidXamarinSample** for detailed implementation changes.
* [`PdfViewCtrlTabHostFragment`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Controls.PdfViewCtrlTabHostFragment.html) now comes with option to not use the activity's `SupportActionBar`, this is useful if you would like to show multiple viewers side by side. This is particularly useful in Xamarin.Forms where the base class in Xamarin.Forms already has a Toolbar.
* [`AnnotationToolbar`](https://sdk.apryse.com/api/xamarinandroid/tools/api/pdftron.PDF.Controls.AnnotationToolbar.html) now comes with APIs to remove the close, pan and overflow button, as well as APIs to change the default annotation tool grouping, see tutorial here: [AnnotationToolbar](/xamarin/guides/viewer-components/annotation-toolbar-a.md#hide-other-buttons)
* `android:usesCleartextTraffic="true"` flag is now required in your `AndroidManifest.xml` if you are targeting Android SDK version 28+ and using \[`PDFViewCtrl.OpenUrlAsync`]\(<https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/PDFViewCtrl.html#openUrlAsync(java.lang.String>, java.lang.String, java.lang.String, com.pdftron.pdf.PDFViewCtrl.HTTPRequestOptions)) with HTTP links. If you are only working with HTTPS files, this is not required. See tutorial here: [quick start](/xamarin/guides/try-demo.md).

## Dependency changes

* Tools package now uses dependency `io.reactivex.rxjava2:rxjava` and `io.reactivex.rxjava2:rxandroid`

## Xamarin.iOS

### New features

* Adds a [reflow control](/xamarin/guides/viewer-components/reflow.md), which converts the displayed PDF to HTML text suitable for viewing on a small device. The original PDF font and text styling (relative font sizes, bolding, etc.) is preserved, and text annotations (highlights, underlines, etc.) are visible.
* The drop-in complete reader components [`PTDocumentViewController`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Controls.PTDocumentViewController.html) and [`PTTabbedDocumentViewController`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Controls.PTTabbedDocumentViewController.html) now support opening and streaming documents from online (http) URLs. See the [Open from online URL](/xamarin/viewer/viewer/view-online-pdfs.md) guide for more information.
* Opening documents from online URLs will now optionally only download content which the viewer is displaying. This will result in data transfer savings when viewing documents over a cellular/mobile connection. See the [Restrict data usage guide](/xamarin/viewer/viewer/view-online-pdfs.md#restrict-data-usage).
* The [`ToolManager`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManager.html) includes a [`Readonly`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.Tools.PTToolManager.html#pdftron_PDF_Tools_ToolManager_Readonly) flag to quickly disable annotation creation and editing.
* The `PTTabbedDocumentViewController` now provides improved access to `PTDocumentViewController` APIs for better control over its behaviour.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/changelogs/version-6/v6-9-0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
